NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Die.TrimLineDevelopmentBuilder Class Reference

Represents a NXOpen.Features.TrimLineDevelopment builder More...

Inheritance diagram for NXOpen.Die.TrimLineDevelopmentBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Convergency { Low, Medium, High }
 The solver convergency level of onestep unform. More...
 
enum  MaterialTypeName { Steel, Aluminum }
 Indicates type of material More...
 
enum  MeshElement { Triangle, Quadrate }
 The 2-D mesh element type of onestep unform. More...
 
enum  OutputMethodName { Geometric, Corrected, Both }
 Indicates which trim curves to output More...
 
enum  SmoothingName { Linear, Cubic, Quintic }
 Indicates type of curve smoothing More...
 
enum  Surface { Inner, Middle, Outer }
 The surface types of onestep unform. More...
 

Public Member Functions

unsafe void Calculation ()
 Starts solver to calculate. More...
 
unsafe void CreateDefaultSpine ()
 Creates a smoothed spine curve from the forming boundary using the spine radius value More...
 
unsafe void DefaultDraw ()
 Creates a default draw vector by finding the least squares plane of the formed faces More...
 
unsafe void Mesh ()
 Create FEM 2-D meshes based on the unform region surfaces and the target region surfaces. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.ScCollector Addendum [get]
 Returns the collection of addendum faces More...
 
unsafe bool Associative [get, set]
 Returns or sets the associative switch. More...
 
unsafe NXOpen.Expression BendAllowance [get]
 Returns the bend allowance formula. More...
 
unsafe NXOpen.Section ConstraintCurveFromTargetRegion [get]
 Returns the collection of constraint curve from target region More...
 
unsafe NXOpen.Section ConstraintCurveFromUnformRegion [get]
 Returns the collection of constraint curve from unform region More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance. More...
 
unsafe NXOpen.Direction DrawDirection [get, set]
 Returns or sets the draw direction. More...
 
unsafe NXOpen.ScCollector Faces [get]
 Returns the collection of formed faces More...
 
unsafe NXOpen.ScCollector FormingBoundary [get]
 Returns the forming boundary More...
 
unsafe bool InferElementSize [get, set]
 Returns or sets the option to infer 2-D element size. More...
 
unsafe bool InferThickness [get, set]
 Returns or sets the option to infer thickness. More...
 
unsafe NXOpen.Point LimitPoint1 [get, set]
 Returns or sets the first limit point More...
 
unsafe NXOpen.Point LimitPoint2 [get, set]
 Returns or sets the last limit point More...
 
unsafe NXOpen.Die.DieLimitsBuilder Limits [get]
 Returns the limits to control the span of the addendum More...
 
unsafe double MaterialPropertyDensity [get, set]
 Returns or sets the density of material. More...
 
unsafe double MaterialPropertyE [get, set]
 Returns or sets the material property elasticity(E) which enables a material to return to its original shape and dimension. More...
 
unsafe double MaterialPropertyF [get, set]
 Returns or sets the friction of material. More...
 
unsafe double MaterialPropertyInitialStrain [get, set]
 Returns or sets the material initial strain to represent in a material upon achieving the given loading conditions in a relaxation or creep test. More...
 
unsafe double MaterialPropertyK [get, set]
 Returns or sets the K(Strength Coefficient) of material. More...
 
unsafe double MaterialPropertyN [get, set]
 Returns or sets the material n(Hardening Exponent) to represent the constant index used in calculations for stress-strain behaviour. More...
 
unsafe double MaterialPropertyPoisson [get, set]
 Returns or sets the material Poisson's ratio between the contraction at right angles to a stress and the direct extension. More...
 
unsafe double MaterialPropertyR0 [get, set]
 Returns or sets the r0(Anisotropy Coefficient) of material. More...
 
unsafe double MaterialPropertyR45 [get, set]
 Returns or sets the r45(Anisotropy Coefficient) of material. More...
 
unsafe double MaterialPropertyR90 [get, set]
 Returns or sets the r90(Anisotropy Coefficient) of material. More...
 
unsafe double MaterialPropertyYieldStress [get, set]
 Returns or sets the yield stress of material. More...
 
unsafe
NXOpen.Die.TrimLineDevelopmentBuilder.MaterialTypeName 
MaterialType [get, set]
 Returns or sets the material type - steel or aluminum More...
 
unsafe bool MeshAttemptMapping [get, set]
 Returns or sets the option to attemp mapping for mesh elements. More...
 
unsafe double MeshElementSize [get, set]
 Returns or sets the 2-D element size for mesh. More...
 
unsafe
NXOpen.Die.TrimLineDevelopmentBuilder.MeshElement 
MeshElementType [get, set]
 Returns or sets the 2-D mesh element type, either triangle or quadrate element. More...
 
unsafe double MeshMaxJacobian [get, set]
 Returns or sets the maximum Jacobian for mesh elements. More...
 
unsafe double MeshMaxWarp [get, set]
 Returns or sets the maximum warp for meshing. More...
 
unsafe bool MeshProcessFillet [get, set]
 Returns or sets the option to process fillet for mesh element. More...
 
unsafe int MeshSizeVariation [get, set]
 Returns or sets the variation of mesh element size. More...
 
unsafe double MeshSmallFeature [get, set]
 Returns or sets the value of small feature for mesh setting More...
 
unsafe bool MeshSplitQuad [get, set]
 Returns or sets the option to split quadrate element to triangle element when creating meshes. More...
 
unsafe
NXOpen.Die.TrimLineDevelopmentBuilder.OutputMethodName 
OutputMethod [get, set]
 Returns or sets the curve output method - geometric, corrected or both More...
 
unsafe NXOpen.Point RegionPoint [get, set]
 Returns or sets the point in product region More...
 
unsafe bool RemoveLoops [get, set]
 Returns or sets the remove loops setting. More...
 
unsafe bool ReverseSide [get, set]
 Returns or sets the option to indicate whether or not to unform the profile to the other side on the target body. More...
 
unsafe int SampleDensityIndex [get, set]
 Returns or sets the sample density index which controls the density of the sample planes. More...
 
unsafe double SheetThickness [get, set]
 Returns or sets the thickness of sheet metal model. More...
 
unsafe
NXOpen.Die.TrimLineDevelopmentBuilder.SmoothingName 
Smoothing [get, set]
 Returns or sets the curve smoothing method - linear (none), cubic or quintic More...
 
unsafe
NXOpen.Die.TrimLineDevelopmentBuilder.Convergency 
SolverConvergencyLevel [get, set]
 Returns or sets the convergency level of onestep solver. More...
 
unsafe bool SolverJoinOutputCurves [get, set]
 Returns or sets the option to join output curves. More...
 
unsafe int SolverMaxIterationSteps [get, set]
 Returns or sets the maximum number of iteration steps in onestep solver. More...
 
unsafe bool SolverSaveAnalysisResultsIntoFeature [get, set]
 Returns or sets the option to save analysis result into feature. More...
 
unsafe NXOpen.ScCollector Spine [get]
 Returns the spine string, which determines the orientation of the sample planes More...
 
unsafe double SpineRadius [get, set]
 Returns or sets the spine radius, used by NXOpen.Die.TrimLineDevelopmentBuilder.CreateDefaultSpine More...
 
unsafe
NXOpen.Die.TrimLineDevelopmentBuilder.Surface 
SurfaceType [get, set]
 Returns or sets the surface type used to determine offset direction. More...
 
unsafe NXOpen.Expression Thickness [get]
 Returns the material thickness. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.TrimLineDevelopment builder

To create a new instance of this class, use NXOpen.Die.DieCollection.CreateTrimLineDevelopmentBuilder

Created in NX6.0.0

Member Enumeration Documentation

The solver convergency level of onestep unform.

Enumerator
Low 

Onestep solver convergency level is low

Medium 

Onestep solver convergency level is medium

High 

Onestep solver convergency level is high

Indicates type of material

Enumerator
Steel 

Steel

Aluminum 

Aluminum

The 2-D mesh element type of onestep unform.

Enumerator
Triangle 

Generate 2D triangle mesh element

Quadrate 

Generate 2D quadrate mesh element

Indicates which trim curves to output

Enumerator
Geometric 

Geometric curve only

Corrected 

Corrected curve only

Both 

Both geometric and corrected curves

Indicates type of curve smoothing

Enumerator
Linear 

Linear (no smoothing)

Cubic 

Cubic approximation

Quintic 

Quintic approximation

The surface types of onestep unform.

Enumerator
Inner 

Onestep solver will offset inner surface and enlarge it

Middle 

Onestep solver will not offset middle surface

Outer 

Onestep solver will offset outer surface and shrink it

Member Function Documentation

unsafe void NXOpen.Die.TrimLineDevelopmentBuilder.Calculation ( )
inline

Starts solver to calculate.

Created in NX10.0.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Die.TrimLineDevelopmentBuilder.CreateDefaultSpine ( )
inline

Creates a smoothed spine curve from the forming boundary using the spine radius value

Created in NX6.0.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Die.TrimLineDevelopmentBuilder.DefaultDraw ( )
inline

Creates a default draw vector by finding the least squares plane of the formed faces

Created in NX6.0.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Die.TrimLineDevelopmentBuilder.Mesh ( )
inline

Create FEM 2-D meshes based on the unform region surfaces and the target region surfaces.

Created in NX10.0.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Property Documentation

unsafe NXOpen.ScCollector NXOpen.Die.TrimLineDevelopmentBuilder.Addendum
get

Returns the collection of addendum faces

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Die.TrimLineDevelopmentBuilder.Associative
getset

Returns or sets the associative switch.

True indicates a feature should be output

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Die.TrimLineDevelopmentBuilder.BendAllowance
get

Returns the bend allowance formula.

Value should be between 0 and 1

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Die.TrimLineDevelopmentBuilder.ConstraintCurveFromTargetRegion
get

Returns the collection of constraint curve from target region

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Die.TrimLineDevelopmentBuilder.ConstraintCurveFromUnformRegion
get

Returns the collection of constraint curve from unform region

Created in NX6.0.0

License requirements: None.

unsafe double NXOpen.Die.TrimLineDevelopmentBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance.

Used for sewing sheet bodies and joining curves

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Direction NXOpen.Die.TrimLineDevelopmentBuilder.DrawDirection
getset

Returns or sets the draw direction.

Also points in the direction of material side of metal

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.ScCollector NXOpen.Die.TrimLineDevelopmentBuilder.Faces
get

Returns the collection of formed faces

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Die.TrimLineDevelopmentBuilder.FormingBoundary
get

Returns the forming boundary

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Die.TrimLineDevelopmentBuilder.InferElementSize
getset

Returns or sets the option to infer 2-D element size.

If it is true, the element size will be auto-detected. If it is false, the element size will be required as input.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Die.TrimLineDevelopmentBuilder.InferThickness
getset

Returns or sets the option to infer thickness.

If it is true, the thickness will be auto-detected. If it is false, thickness will be required to input.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Point NXOpen.Die.TrimLineDevelopmentBuilder.LimitPoint1
getset

Returns or sets the first limit point

Created in NX6.0.2

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Point NXOpen.Die.TrimLineDevelopmentBuilder.LimitPoint2
getset

Returns or sets the last limit point

Created in NX6.0.2

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.DieLimitsBuilder NXOpen.Die.TrimLineDevelopmentBuilder.Limits
get

Returns the limits to control the span of the addendum

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Die.TrimLineDevelopmentBuilder.MaterialPropertyDensity
getset

Returns or sets the density of material.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Die.TrimLineDevelopmentBuilder.MaterialPropertyE
getset

Returns or sets the material property elasticity(E) which enables a material to return to its original shape and dimension.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Die.TrimLineDevelopmentBuilder.MaterialPropertyF
getset

Returns or sets the friction of material.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Die.TrimLineDevelopmentBuilder.MaterialPropertyInitialStrain
getset

Returns or sets the material initial strain to represent in a material upon achieving the given loading conditions in a relaxation or creep test.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Die.TrimLineDevelopmentBuilder.MaterialPropertyK
getset

Returns or sets the K(Strength Coefficient) of material.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Die.TrimLineDevelopmentBuilder.MaterialPropertyN
getset

Returns or sets the material n(Hardening Exponent) to represent the constant index used in calculations for stress-strain behaviour.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Die.TrimLineDevelopmentBuilder.MaterialPropertyPoisson
getset

Returns or sets the material Poisson's ratio between the contraction at right angles to a stress and the direct extension.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Die.TrimLineDevelopmentBuilder.MaterialPropertyR0
getset

Returns or sets the r0(Anisotropy Coefficient) of material.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Die.TrimLineDevelopmentBuilder.MaterialPropertyR45
getset

Returns or sets the r45(Anisotropy Coefficient) of material.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Die.TrimLineDevelopmentBuilder.MaterialPropertyR90
getset

Returns or sets the r90(Anisotropy Coefficient) of material.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Die.TrimLineDevelopmentBuilder.MaterialPropertyYieldStress
getset

Returns or sets the yield stress of material.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.TrimLineDevelopmentBuilder.MaterialTypeName NXOpen.Die.TrimLineDevelopmentBuilder.MaterialType
getset

Returns or sets the material type - steel or aluminum

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Die.TrimLineDevelopmentBuilder.MeshAttemptMapping
getset

Returns or sets the option to attemp mapping for mesh elements.

If it is true, mesh element nodes will be mapped to the orginal surface to ensure the accuracy. if it is false, it will not do mapping.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Die.TrimLineDevelopmentBuilder.MeshElementSize
getset

Returns or sets the 2-D element size for mesh.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.TrimLineDevelopmentBuilder.MeshElement NXOpen.Die.TrimLineDevelopmentBuilder.MeshElementType
getset

Returns or sets the 2-D mesh element type, either triangle or quadrate element.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Die.TrimLineDevelopmentBuilder.MeshMaxJacobian
getset

Returns or sets the maximum Jacobian for mesh elements.

It is used to control the element shape and quality.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Die.TrimLineDevelopmentBuilder.MeshMaxWarp
getset

Returns or sets the maximum warp for meshing.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Die.TrimLineDevelopmentBuilder.MeshProcessFillet
getset

Returns or sets the option to process fillet for mesh element.

If it is true, the small fillet area will be specially processed when generate mesh element. If it is false, it will be not specially processed.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe int NXOpen.Die.TrimLineDevelopmentBuilder.MeshSizeVariation
getset

Returns or sets the variation of mesh element size.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Die.TrimLineDevelopmentBuilder.MeshSmallFeature
getset

Returns or sets the value of small feature for mesh setting

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Die.TrimLineDevelopmentBuilder.MeshSplitQuad
getset

Returns or sets the option to split quadrate element to triangle element when creating meshes.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.TrimLineDevelopmentBuilder.OutputMethodName NXOpen.Die.TrimLineDevelopmentBuilder.OutputMethod
getset

Returns or sets the curve output method - geometric, corrected or both

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Point NXOpen.Die.TrimLineDevelopmentBuilder.RegionPoint
getset

Returns or sets the point in product region

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Die.TrimLineDevelopmentBuilder.RemoveLoops
getset

Returns or sets the remove loops setting.

True indicates loops should be removed from the output curves

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Die.TrimLineDevelopmentBuilder.ReverseSide
getset

Returns or sets the option to indicate whether or not to unform the profile to the other side on the target body.

This option is appliable only in case the following conditions are all satisfied: entire unform to seperate target body, Curve to Curve constraint on inner edges.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe int NXOpen.Die.TrimLineDevelopmentBuilder.SampleDensityIndex
getset

Returns or sets the sample density index which controls the density of the sample planes.

Value should be between 1 and 9

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Die.TrimLineDevelopmentBuilder.SheetThickness
getset

Returns or sets the thickness of sheet metal model.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.TrimLineDevelopmentBuilder.SmoothingName NXOpen.Die.TrimLineDevelopmentBuilder.Smoothing
getset

Returns or sets the curve smoothing method - linear (none), cubic or quintic

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.TrimLineDevelopmentBuilder.Convergency NXOpen.Die.TrimLineDevelopmentBuilder.SolverConvergencyLevel
getset

Returns or sets the convergency level of onestep solver.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Die.TrimLineDevelopmentBuilder.SolverJoinOutputCurves
getset

Returns or sets the option to join output curves.

If it is true, join output curves. If it is false, do not join output curves

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe int NXOpen.Die.TrimLineDevelopmentBuilder.SolverMaxIterationSteps
getset

Returns or sets the maximum number of iteration steps in onestep solver.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Die.TrimLineDevelopmentBuilder.SolverSaveAnalysisResultsIntoFeature
getset

Returns or sets the option to save analysis result into feature.

If it is true, save analysis result into feature. If it is false, do not save analysis result into feature.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.ScCollector NXOpen.Die.TrimLineDevelopmentBuilder.Spine
get

Returns the spine string, which determines the orientation of the sample planes

Created in NX6.0.0

License requirements: None.

unsafe double NXOpen.Die.TrimLineDevelopmentBuilder.SpineRadius
getset

Returns or sets the spine radius, used by NXOpen.Die.TrimLineDevelopmentBuilder.CreateDefaultSpine

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.TrimLineDevelopmentBuilder.Surface NXOpen.Die.TrimLineDevelopmentBuilder.SurfaceType
getset

Returns or sets the surface type used to determine offset direction.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Die.TrimLineDevelopmentBuilder.Thickness
get

Returns the material thickness.

Value should be greater than zero.

Created in NX6.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.